diff -urN qt-everywhere-opensource-src-5.0.1.orig/qtbase/mkspecs/devices/linux-ptxdist-g++/qmake.conf.in qt-everywhere-opensource-src-5.0.1/qtbase/mkspecs/devices/linux-ptxdist-g++/qmake.conf.in
--- qt-everywhere-opensource-src-5.0.1.orig/qtbase/mkspecs/devices/linux-ptxdist-g++/qmake.conf.in	1970-01-01 01:00:00.000000000 +0100
+++ qt-everywhere-opensource-src-5.0.1/qtbase/mkspecs/devices/linux-ptxdist-g++/qmake.conf.in	2013-02-11 10:03:46.611891143 +0100
@@ -0,0 +1,57 @@
+#
+# qmake configuration for the BeagleBoard and BeagleBoard xM boards
+# http://beagleboard.org/
+
+MAKEFILE_GENERATOR      = UNIX
+CONFIG                  += incremental gdb_dwarf_index
+QMAKE_INCREMENTAL_STYLE = sublib
+
+include(../../common/linux.conf)
+include(../../common/gcc-base-unix.conf)
+include(../../common/g++-unix.conf)
+
+load(device_config)
+
+QT_QPA_DEFAULT_PLATFORM = @PTXDIST_QT_QPA_DEFAULT_PLATFORM@
+
+# modifications to g++.conf
+QMAKE_CC                = @PTXDIST_COMPILER_PREFIX@gcc
+QMAKE_CXX               = @PTXDIST_COMPILER_PREFIX@g++
+QMAKE_LINK              = $${QMAKE_CXX}
+QMAKE_LINK_SHLIB        = $${QMAKE_CXX}
+
+# modifications to linux.conf
+QMAKE_AR                = @PTXDIST_COMPILER_PREFIX@ar cqs
+QMAKE_OBJCOPY           = @PTXDIST_COMPILER_PREFIX@objcopy
+QMAKE_STRIP             = @PTXDIST_COMPILER_PREFIX@strip
+
+COMPILER_FLAGS          = @PTXDIST_COMPILER_FLAGS@
+
+#modifications to gcc-base.conf
+QMAKE_CFLAGS           += $${COMPILER_FLAGS} @PTXDIST_CPPFLAGS@ @PTXDIST_CFLAGS@
+QMAKE_CXXFLAGS         += $${COMPILER_FLAGS} @PTXDIST_CPPFLAGS@ @PTXDIST_CXXFLAGS@
+QMAKE_CXXFLAGS_RELEASE += @PTXDIST_QMAKE_CXXFLAGS_RELEASE@
+QMAKE_INCDIR            = @PTXDIST_INCDIR@
+QMAKE_LIBDIR            = @PTXDIST_LIBDIR@
+QMAKE_LFLAGS            = @PTXDIST_LDFLAGS@
+
+QMAKE_LIBS             += @PTXDIST_QMAKE_LIBS@
+PKG_CONFIG_LIBDIR	+= $$(SYSROOT)/lib/pkgconfig:$$(SYSROOT)/usr/lib/pkgconfig:$$(SYSROOT)/share/pkgconfig:$$(SYSROOT)/usr/share/pkgconfig
+
+# Extra stuff (OpenGL, DirectFB, ...)
+QMAKE_INCDIR_EGL        = @PTXDIST_QMAKE_INCDIR_EGL@
+QMAKE_LIBDIR_EGL        = @PTXDIST_QMAKE_LIBDIR_EGL@
+QMAKE_INCDIR_OPENGL_ES2 = @PTXDIST_QMAKE_INCDIR_OPENGL_ES2@
+QMAKE_LIBDIR_OPENGL_ES2 = @PTXDIST_QMAKE_LIBDIR_OPENGL_ES2@
+QMAKE_INCDIR_OPENVG     = @PTXDIST_QMAKE_INCDIR_OPENVG@
+QMAKE_LIBDIR_OPENVG     = @PTXDIST_QMAKE_LIBDIR_OPENVG@
+
+QMAKE_LIBS_EGL          = @PTXDIST_QMAKE_LIBS_EGL@
+QMAKE_LIBS_OPENGL_ES2   = @PTXDIST_QMAKE_LIBS_OPENGL_ES2@
+QMAKE_LIBS_OPENVG       = @PTXDIST_QMAKE_LIBS_OPENVG@
+
+# Sanity check
+deviceSanityCheckCompiler()
+
+load(qt_config)
+
diff -urN qt-everywhere-opensource-src-5.0.1.orig/qtbase/mkspecs/devices/linux-ptxdist-g++/qplatformdefs.h.in qt-everywhere-opensource-src-5.0.1/qtbase/mkspecs/devices/linux-ptxdist-g++/qplatformdefs.h.in
--- qt-everywhere-opensource-src-5.0.1.orig/qtbase/mkspecs/devices/linux-ptxdist-g++/qplatformdefs.h.in	1970-01-01 01:00:00.000000000 +0100
+++ qt-everywhere-opensource-src-5.0.1/qtbase/mkspecs/devices/linux-ptxdist-g++/qplatformdefs.h.in	2013-01-29 20:03:06.000000000 +0100
@@ -0,0 +1,42 @@
+/****************************************************************************
+**
+** Copyright (C) 2012 Digia Plc and/or its subsidiary(-ies).
+** Contact: http://www.qt-project.org/legal
+**
+** This file is part of the qmake spec of the Qt Toolkit.
+**
+** $QT_BEGIN_LICENSE:LGPL$
+** Commercial License Usage
+** Licensees holding valid commercial Qt licenses may use this file in
+** accordance with the commercial license agreement provided with the
+** Software or, alternatively, in accordance with the terms contained in
+** a written agreement between you and Digia.  For licensing terms and
+** conditions see http://qt.digia.com/licensing.  For further information
+** use the contact form at http://qt.digia.com/contact-us.
+**
+** GNU Lesser General Public License Usage
+** Alternatively, this file may be used under the terms of the GNU Lesser
+** General Public License version 2.1 as published by the Free Software
+** Foundation and appearing in the file LICENSE.LGPL included in the
+** packaging of this file.  Please review the following information to
+** ensure the GNU Lesser General Public License version 2.1 requirements
+** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+**
+** In addition, as a special exception, Digia gives you certain additional
+** rights.  These rights are described in the Digia Qt LGPL Exception
+** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+**
+** GNU General Public License Usage
+** Alternatively, this file may be used under the terms of the GNU
+** General Public License version 3.0 as published by the Free Software
+** Foundation and appearing in the file LICENSE.GPL included in the
+** packaging of this file.  Please review the following information to
+** ensure the GNU General Public License version 3.0 requirements will be
+** met: http://www.gnu.org/copyleft/gpl.html.
+**
+**
+** $QT_END_LICENSE$
+**
+****************************************************************************/
+
+#include "../../linux-g++/qplatformdefs.h"
